org.modeshape.jcr.query.xpath

## Enum XPathToQueryTranslator.DepthMode

- java.lang.Object
- - java.lang.Enum<XPathToQueryTranslator.DepthMode>
  - - org.modeshape.jcr.query.xpath.XPathToQueryTranslator.DepthMode

- All Implemented Interfaces:
    Serializable, Comparable<XPathToQueryTranslator.DepthMode>
  Enclosing class:
    XPathToQueryTranslator

      protected static enum XPathToQueryTranslator.DepthMode
      extends Enum<XPathToQueryTranslator.DepthMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AT_LEAST`
    `DEFAULT`
    `EXACT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XPathToQueryTranslator.DepthMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XPathToQueryTranslator.DepthMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final XPathToQueryTranslator.DepthMode DEFAULT

    - #### EXACT

          public static final XPathToQueryTranslator.DepthMode EXACT

    - #### AT_LEAST

          public static final XPathToQueryTranslator.DepthMode AT_LEAST

  - ### Method Detail

    - #### values

          public static XPathToQueryTranslator.DepthMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XPathToQueryTranslator.DepthMode c : XPathToQueryTranslator.DepthMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XPathToQueryTranslator.DepthMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.